Bug 72905 - pstree -G and -U output is corrupted
Summary: pstree -G and -U output is corrupted
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: psmisc (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-28 22:41 UTC by Dax Kelson
Modified: 2007-04-18 16:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-16 07:52:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dax Kelson 2002-08-28 22:41:14 UTC
Description of Problem:  
 
According to the man page: 
 
       -G     Use VT100 line drawing characters. 
       -U     Use UTF-8 (Unicode) line drawing characters. Under Linux  1.1-54 
              and  above,  UTF-8  mode  is entered on the console with echo -e 
              '\033%8' and left with echo -e '\033%@' 
 
Sample output: 
 
$ pstree -G 
initqwqacroread 
     tqapmd 
     tqatd 
     tqbattstat-applet 
     tqbdflush 
     tqbonobo-activati 
     tqcardmgr 
[snip] 
$ pstree -U 
initb

Comment 1 Alexander Larsson 2002-08-29 06:43:40 UTC
-U looks better for me then what you pasted, but that may be bugzilla on crack.
It does however have lots of '?' that look extraneous.


Comment 2 Dax Kelson 2002-08-30 16:51:23 UTC
After the batch of RPM updates on Aug 28/29th:  
  
GNOME terminal:  
-G looks 100% normal  
-U Has lots of ?  
  
example:  
     b?b

Comment 3 Dax Kelson 2003-02-23 07:30:59 UTC
In phoebe3.

pstree -G and -U look 100% normal when run in GNOME-terminal.

At the mingetty console (runlevel 3), -U looks normal yet -G is messed up.

$ pstree -G 
initqwqacroread 
     tqapmd 
     tqatd 
     tqbattstat-applet 
     tqbdflush 
     tqbonobo-activati 
     tqcardmgr 

Comment 4 Alexander Larsson 2003-09-25 08:53:59 UTC
pstree is in psmisc


Note You need to log in before you can comment on or make changes to this bug.